Bug 405481 - Confirmation dialogs must be optional
Summary: Confirmation dialogs must be optional
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: tabbar (show other bugs)
Version: 17.12.3
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-14 23:00 UTC by Artiom Neganov
Modified: 2019-10-08 14:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 19.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Artiom Neganov 2019-03-14 23:00:55 UTC
SUMMARY


STEPS TO REPRODUCE
1. Run a termianl
2. Open Midnight commander
3. Try to close this tab

OBSERVED RESULT

I'me getting annoying confirmation dialogs: Are you sure you want to close blah-blah. Yes, I am. I'm closing this tab now and I don't want to bother clicking any more buttons to get it annihilated.

EXPECTED RESULT

There must be an option to suppres this dialogs.

SOFTWARE/OS VERSIONS
5.12.6
5.44.0
5.9.5
4.15.0-46-generic
64-bit
(Sorry, I cannot copy this from KInforcenter - I have to type this data manually. Copying text data from dialogs has always been a nice feature in Linux. For some magic reason it deosn't work in Info Center - the place which is supposed to be a copy-source...)
Comment 1 tcanabrava 2019-03-15 09:12:01 UTC
I agree with you.
Would you like to try to implement that as your first patch to KDE? I
can help you get started.
Comment 2 Nate Graham 2019-03-16 11:51:43 UTC
Agreed. If you'd like to submit a patch (it's not hard!) check out https://community.kde.org/Get_Involved/development

I can also help. :)
Comment 3 Kurt Hindenburg 2019-03-16 14:45:24 UTC
I'm surprised this doesn't have an opt out as well.  If you want, look at the other dialogs that have the 'Do not ask again" checkbox
Comment 4 Kurt Hindenburg 2019-04-28 14:15:58 UTC
This is only when trying to close a single tab/session.

If you use 'Close Window' or by clicking X in upper right corner, you get the dialog w/ the 'Do not ask again'
Comment 5 Kurt Hindenburg 2019-10-08 14:52:57 UTC
Git commit 2455faf68aafbaf94345d80776a1a0030fd9a8b9 by Kurt Hindenburg.
Committed on 08/10/2019 at 14:48.
Pushed by hindenburg into branch 'master'.

Add a "Do not ask again" option to close session dialog

This is called on Menu->Close Sesssion and right-click tab->Close Tab

M  +7    -1    src/SessionController.cpp

https://invent.kde.org/kde/konsole/commit/2455faf68aafbaf94345d80776a1a0030fd9a8b9
Comment 6 Kurt Hindenburg 2019-10-08 14:53:00 UTC
Git commit 2455faf68aafbaf94345d80776a1a0030fd9a8b9 by Kurt Hindenburg.
Committed on 08/10/2019 at 14:48.
Pushed by scmsync into branch 'master'.

Add a "Do not ask again" option to close session dialog

This is called on Menu->Close Sesssion and right-click tab->Close Tab

M  +7    -1    src/SessionController.cpp

https://commits.kde.org/konsole/2455faf68aafbaf94345d80776a1a0030fd9a8b9